on:
  workflow_dispatch:
  push:
    branches: [main]

jobs:
  build:
    runs-on: self-hosted
    steps:
      - uses: actions/checkout@v4
      - uses: actions/setup-node@v4
      - run: npm ci
      - run: npm run build
      - run: mkdir -p /data/nycki.net/site
#      - run: cp tools/site.conf /data/nycki.net/site.conf
#      - run: cp -r _site/* /home/nycki/nycki.net/patches/* /data/nycki.net/site/
      - run: cp -r _site/* /data/nycki.net/site/
